package hu.unideb.inf.mobil.pregnancycalculator;

import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.DialogFragment;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import java.util.Calendar;
import java.util.concurrent.TimeUnit;

public class MainActivity extends AppCompatActivity {

    private TextView resulttextView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        resulttextView = findViewById(R.id.resultText);
    }

    public void showDatePicker(View view) {
        DialogFragment newFragment = new DatePickerFragment();
        newFragment.show(getSupportFragmentManager(), "datePicker");
    }

    public void processDatePickerResult(int year, int month, int day){
        Calendar c = Calendar.getInstance();
        c.set(year, month, day);

        long msDiff = Calendar.getInstance().getTimeInMillis() -
                c.getTimeInMillis();
        long daysDiff = TimeUnit.MILLISECONDS.toDays(msDiff);

        resulttextView.setText("You are " + daysDiff/7 + " weeks\nand "
                + daysDiff%7 + " days pragnent!" );
    }
}
